## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege
Class PrivilegesDetailTableMetaData

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege.PrivilegesDetailTableMetaData

Direct Known Subclasses:
  ASAColumnPrivilegesDetailTableMetaData, ASATablePrivilegesDetailTableMetaData, RoutinePrivilegesTableMetaData

    public abstract class PrivilegesDetailTableMetaData

extends java.lang.Object

The meta data for privileges detail page

Author:
  Idull

Field Summary
`static int` `GRANTEE_COLUMN` The "Grantee" column must be the first column and is not editable

Constructor Summary
`PrivilegesDetailTableMetaData()`

Method Summary
`java.lang.String` `getAction(int colIndex)`
`java.lang.String` `getAction(java.lang.String columnName)` Returns the action string corresponding to the given column
`abstract java.lang.String[]` `getColumnActions()` Returns the column actions, corresponding to the column name.
`int` `getColumnIndex(java.lang.String name)`
`int` `getColumnLength(int colIndex)`
`abstract int[]` `getColumnLengths()` Returns the length of all the column
`java.lang.String` `getColumnName(int colIndex)`
`abstract java.lang.String[]` `getColumnNames()` Returns the column names
`abstract int` `getColumnsCount()` Returns the column count

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRANTEE_COLUMN

    public static final int GRANTEE_COLUMN

  The "Grantee" column must be the first column and is not editable

  See Also:
    Constant Field Values

Constructor Detail

### PrivilegesDetailTableMetaData

    public PrivilegesDetailTableMetaData()

Method Detail

### getColumnNames

    public abstract java.lang.String[] getColumnNames()

  Returns the column names

  Returns:

### getColumnLengths

    public abstract int[] getColumnLengths()

  Returns the length of all the column

  Returns:

### getColumnsCount

    public abstract int getColumnsCount()

  Returns the column count

  Returns:

### getColumnActions

    public abstract java.lang.String[] getColumnActions()

  Returns the column actions, corresponding to the column name.

  Remain empty for "Grantee" column

  Returns:

### getAction

    public java.lang.String getAction(java.lang.String columnName)

  Returns the action string corresponding to the given column

  Parameters:
    `columnName` -
  Returns:

### getAction

    public java.lang.String getAction(int colIndex)

### getColumnName

    public java.lang.String getColumnName(int colIndex)

### getColumnLength

    public int getColumnLength(int colIndex)

### getColumnIndex

    public int getColumnIndex(java.lang.String name)